/*file*********** MELNK_DRV : ***********************************************/
/*                                                                          */
/*                                                                          */
/*        JL080GBR.H : Common header of JL-080 access driver                */
/*                                                                          */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/*                                                                          */
/*       [Defines]                                                          */
/*          Definetion of Host Interface registers                          */
/*                                                                          */
/*                                                                          */
/******** Copyright(C) 2002 Yaskawa Electric Corporation ********************/
/*                                                                          */
/*      Ver 1.00    2002.03.01   Initial coding    I.Matsumura              */
/*                                                                          */
/****************************************************************************/

#include "jl080def.h"

/***********************************************************************/
/*   function prototype                                                */
/***********************************************************************/
#ifndef	YENET_LOCAL_DEFINES_
#ifdef __cplusplus
extern	"C"	{
#endif
extern void yns_init_channel( CHANNEL_INFO *chbuffp, USHORT *hif_reg_top );
extern int yns_reset( CHANNEL_INFO *chbuffp );
extern int yns_set_regs( CHANNEL_INFO *chbuffp, YENET_REG_PAR *regp );
extern int yns_set_param( CHANNEL_INFO *chbuffp, YENET_COM_PAR *par );
extern int yns_enable( CHANNEL_INFO *chbuffp );
extern void yns_set_transmit_data( CHANNEL_INFO *chbuffp,
				YENET_REG_PAR *reg_par, YENET_COM_PAR *com_par, UCHAR *adrp);
extern int yns_sequent_init( CHANNEL_INFO *chbuffp, USHORT *hif_reg_top,
					 YENET_USER_PAR *usr_par, UCHAR *adrsp );
extern int yns_check_ram( USHORT *top_adr, 
						UINT ofst_adr, UINT size, USHORT chk_data);

extern int yns_link_exchange( CHANNEL_INFO *chbuffp, USHORT *rbuffp,
						 USHORT *sbuffp, UINT size, USHORT *ests);
extern int yns_read_ldata( CHANNEL_INFO *chbuffp, 
					UINT st_no, USHORT *rbuffp, UINT size);
extern int yns_write_ldata( CHANNEL_INFO *chbuffp, 
					UINT st_no, USHORT *sbuffp, USHORT size );
extern int yns_read_ldata2( CHANNEL_INFO *chbuffp, 
					UINT st_no, USHORT *sts, USHORT *rbuffp, UINT size );
extern int yns_write_ldata2( CHANNEL_INFO *chbuffp,
					UINT st_no, USHORT sts, USHORT *sbuffp, UINT size );
extern USHORT yns_read_comstat( CHANNEL_INFO *pchannel);
extern int yns_begin_link_acc(CHANNEL_INFO *);
extern int yns_end_link_acc(CHANNEL_INFO *);
extern USHORT yns_set_netclk( CHANNEL_INFO *chbuffp, UINT cycle );
extern USHORT yns_get_netclk( CHANNEL_INFO *chbuffp );
extern int yns_reset_prm( CHANNEL_INFO *chbuffp, USHORT t_mcyc );
extern int yns_get_gblstat( CHANNEL_INFO *chbuffp, USHORT *t_mcyc);


#ifdef __cplusplus
}
#endif
#endif 	/* _YENET_LOCAL_DEFINES */

#define ynb_get_cmd(pJL)          (((YENET_HOST_IF_REGS * volatile)pJL)->cmd)
#define ynb_set_cmd(pJL, data)    (((YENET_HOST_IF_REGS * volatile)pJL)->cmd = (USHORT)data)
#define ynb_get_sts(pJL)          (((YENET_HOST_IF_REGS * volatile)pJL)->sts)
#define ynb_get_ints(pJL)         (((YENET_HOST_IF_REGS * volatile)pJL)->ints)
#define ynb_clear_ints(pJL, data) (((YENET_HOST_IF_REGS * volatile)pJL)->ints = (USHORT)data)
#define ynb_set_imk(pJL, data)    (((YENET_HOST_IF_REGS * volatile)pJL)->imk = (USHORT)data)
#define ynb_get_ests(pJL)         (((YENET_HOST_IF_REGS * volatile)pJL)->ests)
#define ynb_clear_ests(pJL, data) (((YENET_HOST_IF_REGS * volatile)pJL)->ests =(USHORT)data)

#define ynb_get_mod(pJL)          (((YENET_HOST_IF_REGS * volatile)pJL)->mod)
#define ynb_set_mod(pJL, data)    (((YENET_HOST_IF_REGS * volatile)pJL)->mod = (USHORT)data)
#define ynb_get_lbs(pJL)          (((YENET_HOST_IF_REGS * volatile)pJL)->lbs)
#define ynb_set_lbs(pJL, data)    (((YENET_HOST_IF_REGS * volatile)pJL)->lbs = (USHORT)data)
#define ynb_get_lbp(pJL)          (((YENET_HOST_IF_REGS * volatile)pJL)->lbp)
#define ynb_set_lbp(pJL, data)    (((YENET_HOST_IF_REGS * volatile)pJL)->lbp = (USHORT)data)
#define ynb_get_lbd(pJL)          (((YENET_HOST_IF_REGS * volatile)pJL)->lbd)
#define ynb_set_lbd(pJL, data)    (((YENET_HOST_IF_REGS * volatile)pJL)->lbd = (USHORT)data)
#define ynb_get_ubp(pJL)          (((YENET_HOST_IF_REGS * volatile)pJL)->ubp)
#define ynb_set_ubp(pJL, data)    (((YENET_HOST_IF_REGS * volatile)pJL)->ubp = (USHORT)data)
#define ynb_get_ubd(pJL)          (((YENET_HOST_IF_REGS * volatile)pJL)->ubd)
#define ynb_set_ubd(pJL, data)    (((YENET_HOST_IF_REGS * volatile)pJL)->ubd = (USHORT)data)
#define ynb_get_tmbc(pJL)         (((YENET_HOST_IF_REGS * volatile)pJL)->tmbc)
#define ynb_set_tmbc(pJL, data)   (((YENET_HOST_IF_REGS * volatile)pJL)->tmbc = (USHORT)data)
#define ynb_get_tmbd(pJL)         (((YENET_HOST_IF_REGS * volatile)pJL)->tmbc)
#define ynb_set_tmbd(pJL, data)   (((YENET_HOST_IF_REGS * volatile)pJL)->tmbc = (USHORT)data)
#define ynb_get_rmbc(pJL)         (((YENET_HOST_IF_REGS * volatile)pJL)->rmbc)
#define ynb_set_rmbc(pJL, data)   (((YENET_HOST_IF_REGS * volatile)pJL)->rmbc = (USHORT)data)
#define ynb_get_rmbd(pJL)         (((YENET_HOST_IF_REGS * volatile)pJL)->rmbd)
#define ynb_set_pars(pJL, data)   (((YENET_HOST_IF_REGS * volatile)pJL)->rmbd =(USHORT)data)
#define ynb_get_mctr(pJL)         (((YENET_HOST_IF_REGS * volatile)pJL)->mctr)
#define ynb_set_lbss(pJL, data)   (((YENET_HOST_IF_REGS * volatile)pJL)->mctr = (USHORT)data)


